QGIS Application - Bug report #14628
Very slow GetCapabilities with PostGIS layers
2016-04-07 07:50 AM - Nicolas Boisteault

Status: Closed
Priority: Normal
Assignee:

Category: QGIS Server

Affected QGIS version:2.8.7
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: not reproducable

Copied to github as #: 22593

Description

Affected version QGIS Server 2.8.8 (I can only choose 2.8.7 in list above)
| have a QGIS project with 30 PostGIS layers. When | make a GetCapabilities request on this project via QGIS Server it takes more 4

minutes to load.

I think QGIS Server is doing a lot of request to PostGIS database. Are all requests necessary to build the response?

If we can't avoid this slowness it would be handy to be able to activate cache for GetCapabilities response when project is finished.

History

#1 - 2016-04-09 07:33 AM - Giovanni Manghi
- Status changed from Open to Feedback

is still an issue on 2.14 or master?

#2 - 2016-05-23 10:46 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

| tested with 55 postgis layers and the capabilities were produced in a few seconds (qgis server 2.14.3).

Please reopen if necessary.

2025-04-27

1/1




